[Bf-blender-cvs] [e7cb4d2] master: API Docs: remove hardcoded self from shellscript

Campbell Barton noreply at git.blender.org
Wed Nov 26 20:24:36 CET 2014


Commit: e7cb4d2a0d2a9ef39eed90c44b893d11cef74f26
Author: Campbell Barton
Date:   Wed Nov 26 20:23:27 2014 +0100
Branches: master
https://developer.blender.org/rBe7cb4d2a0d2a9ef39eed90c44b893d11cef74f26

API Docs: remove hardcoded self from shellscript

===================================================================

M	doc/python_api/sphinx_doc_gen.sh

===================================================================

diff --git a/doc/python_api/sphinx_doc_gen.sh b/doc/python_api/sphinx_doc_gen.sh
index 3e01293..01de3e2 100755
--- a/doc/python_api/sphinx_doc_gen.sh
+++ b/doc/python_api/sphinx_doc_gen.sh
@@ -3,6 +3,10 @@
 #   bash doc/python_api/sphinx_doc_gen.sh
 # ssh upload means you need an account on the server
 
+if [ "$1" == "" ] ; then
+	echo "Expected a single argument for the username on blender.org, aborting"
+	exit 1
+fi
 
 # ----------------------------------------------------------------------------
 # Upload vars
@@ -16,7 +20,7 @@ DO_OUT_PDF=false
 
 
 BLENDER="./blender.bin"
-SSH_USER="ideasman42"
+SSH_USER=$1
 SSH_HOST=$SSH_USER"@blender.org"
 SSH_UPLOAD="/data/www/vhosts/www.blender.org/api" # blender_python_api_VERSION, added after




More information about the Bf-blender-cvs mailing list